Subject: 23.0.60; Viewing SVG files: Error when pressing C-v, M-v

From: Markus Triska <[email-masked]>
Date: Sun, 29 Jun 2008 14:37:51 +0200 (CEST)

When I open the file

   http://www.logic.at/prolog/test.svg

with "emacs -Q test.svg", and then press C-c C-c to view the image, it
is displayed correctly. When I then press C-v or M-v to scroll, I get:

   Wrong type argument: listp, t

The debug output with M-x toggle-debug-on-error is:

   Debugger entered--Lisp error: (wrong-type-argument listp t)
     image-mode-winprops(nil)
     image-mode-window-put(vscroll 17 nil)
     image-set-window-vscroll(17)
     image-next-line(31)
     image-scroll-up(nil)
     call-interactively(image-scroll-up nil nil)

In GNU Emacs 23.0.60.1 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-06-29 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t